eccrypto.h File Reference

Classes and functions for Elliptic Curves over prime and binary fields. More...

Go to the source code of this file.

## Classes

class | DL_GroupParameters_EC< EC >
| Elliptic Curve Parameters. More...
class | DL_PublicKey_EC< EC >
| Elliptic Curve Discrete Log (DL) public key. More...
class | DL_PrivateKey_EC< EC >
| Elliptic Curve Discrete Log (DL) private key. More...
struct | ECDH< EC, COFACTOR_OPTION >
| Elliptic Curve Diffie-Hellman. More...
struct | ECMQV< EC, COFACTOR_OPTION >
| Elliptic Curve Menezes-Qu-Vanstone. More...
struct | ECHMQV< EC, COFACTOR_OPTION, HASH >
| Hashed Elliptic Curve Menezes-Qu-Vanstone. More...
struct | ECFHMQV< EC, COFACTOR_OPTION, HASH >
| Fully Hashed Elliptic Curve Menezes-Qu-Vanstone. More...
struct | DL_Keys_EC< EC >
| Elliptic Curve Discrete Log (DL) keys. More...
struct | DL_Keys_ECDSA< EC >
| Elliptic Curve DSA keys. More...
class | DL_Algorithm_ECDSA< EC >
| Elliptic Curve DSA (ECDSA) signature algorithm. More...
class | DL_Algorithm_ECDSA_RFC6979< EC, H >
| Elliptic Curve DSA (ECDSA) signature algorithm based on RFC 6979. More...
class | DL_Algorithm_ECNR< EC >
| Elliptic Curve NR (ECNR) signature algorithm. More...
struct | ECDSA< EC, H >
| Elliptic Curve DSA (ECDSA) signature scheme. More...
struct | ECDSA_RFC6979< EC, H >
| Elliptic Curve DSA (ECDSA) deterministic signature scheme. More...
struct | ECNR< EC, H >
| Elliptic Curve NR (ECNR) signature scheme. More...
class | DL_PrivateKey_ECGDSA< EC >
| Elliptic Curve German DSA key for ISO/IEC 15946. More...
class | DL_PublicKey_ECGDSA< EC >
| Elliptic Curve German DSA key for ISO/IEC 15946. More...
struct | DL_Keys_ECGDSA< EC >
| Elliptic Curve German DSA keys for ISO/IEC 15946. More...
class | DL_Algorithm_ECGDSA< EC >
| Elliptic Curve German DSA signature algorithm. More...
struct | ECGDSA< EC, H >
| Elliptic Curve German Digital Signature Algorithm signature scheme. More...
struct | ECIES< EC, HASH, COFACTOR_OPTION, DHAES_MODE, LABEL_OCTETS >
| Elliptic Curve Integrated Encryption Scheme. More...
struct | ECIES_P1363< EC, HASH, COFACTOR_OPTION >
| Elliptic Curve Integrated Encryption Scheme for P1363. More...

## Typedefs

typedef ECHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA1 >::Domain | ECHMQV160
typedef ECHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA256 >::Domain | ECHMQV256
typedef ECHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA384 >::Domain | ECHMQV384
typedef ECHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA512 >::Domain | ECHMQV512
typedef ECFHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA1 >::Domain | ECFHMQV160
typedef ECFHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA256 >::Domain | ECFHMQV256
typedef ECFHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA384 >::Domain | ECFHMQV384
typedef ECFHMQV< ECP, DL_GroupParameters_EC< ECP >::DefaultCofactorOption, SHA512 >::Domain | ECFHMQV512

## Functions

std::ostream & | operator<< (std::ostream &os, const DL_GroupParameters_EC< ECP >::Element &obj)

## Variables

| DL_GroupParameters_EC< ECP >
| DL_GroupParameters_EC< EC2N >
| DL_PublicKeyImpl< DL_GroupParameters_EC< ECP > >
| DL_PublicKeyImpl< DL_GroupParameters_EC< EC2N > >
| DL_PublicKey_EC< ECP >
| DL_PublicKey_EC< EC2N >
| DL_PublicKey_ECGDSA< ECP >
| DL_PublicKey_ECGDSA< EC2N >
| DL_PrivateKeyImpl< DL_GroupParameters_EC< ECP > >
| DL_PrivateKeyImpl< DL_GroupParameters_EC< EC2N > >
| DL_PrivateKey_EC< ECP >
| DL_PrivateKey_EC< EC2N >
| DL_PrivateKey_ECGDSA< ECP >
| DL_PrivateKey_ECGDSA< EC2N >
| DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_EC< ECP >, ECDSA< ECP, SHA256 > >
| DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_EC< EC2N >, ECDSA< EC2N, SHA256 > >

## Detailed Description

Classes and functions for Elliptic Curves over prime and binary fields.

Definition in file eccrypto.h.